Name:          dnf
Version:       4.22.0
Release:       1mamba
Summary:       Package manager based on libdnf and libsolv
Group:         System/Management
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/rpm-software-management/dnf
Source:        https://github.com/rpm-software-management/dnf.git/%{version}/dnf-%{version}.tar.bz2
Patch1:        dnf-4.2.7-openmamba-detect-release.patch
Patch2:        dnf-2.7.5-hawkey-0.6.4.1.patch
Patch4:        dnf-4.13.0-conf-no_gpg_check.patch
Patch6:        dnf-4.2.18-i586-default-arch.patch
Patch7:        dnf-4.2.18-arm-default-arch.patch
Patch8:        dnf-4.14.0-debuginfo-suffix-openmamba.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: bash-completion-devel
BuildRequires: cmake
BuildRequires: libsystemd-devel >= 2:248
Requires:      librepo
Requires:      libcomps
Requires:      libsolv
Requires:      libdnf >= 0.73.0
Requires:      python-rpm-py3
Requires:      python-gpg-py3
Requires:      python-libcomps-py3
%{?systemd_requires}
Provides:       dnf-command(alias)
Provides:       dnf-command(autoremove)
Provides:       dnf-command(check-update)
Provides:       dnf-command(clean)
Provides:       dnf-command(distro-sync)
Provides:       dnf-command(downgrade)
Provides:       dnf-command(group)
Provides:       dnf-command(history)
Provides:       dnf-command(info)
Provides:       dnf-command(install)
Provides:       dnf-command(list)
Provides:       dnf-command(makecache)
Provides:       dnf-command(mark)
Provides:       dnf-command(provides)
Provides:       dnf-command(reinstall)
Provides:       dnf-command(remove)
Provides:       dnf-command(repolist)
Provides:       dnf-command(repoquery)
Provides:       dnf-command(repository-packages)
Provides:       dnf-command(search)
Provides:       dnf-command(updateinfo)
Provides:       dnf-command(upgrade)
Provides:       dnf-command(upgrade-to)
Obsoletes:      smart <= 1.5

%description
Package manager based on libdnf and libsolv. Replaces YUM.

%package -n yum
Group:         System/Management
Summary:       YUM compatibility layer for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n yum
Package manager based on libdnf and libsolv. Replaces YUM.
This package provides a configuration compatibility layer with YUM.

%prep
%setup -q
%patch 1 -p1
%patch 2 -p1
%patch 4 -p1
%patch 6 -p1
%patch 7 -p1
%patch 8 -p1

%build
%cmake -d build \
   -DPYTHON_DESIRED=%{__python3}

%make
make doc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%ifarch x86_64 aarch64
install -d %{buildroot}%{python3_sitearch}
mv %{buildroot}%{python3_sitelib}/dnf %{buildroot}%{python3_sitearch}
%endif

ln -s dnf-3 %{buildroot}%{_bindir}/dnf
ln -s dnf-automatic-3 %{buildroot}%{_bindir}/dnf-automatic

# YUM compat layer
ln -sr  %{buildroot}%{_bindir}/dnf-3 %{buildroot}%{_bindir}/yum
mkdir -p %{buildroot}%{_sysconfdir}/yum

%find_lang %{name} || touch %{name}.lang

%post
%systemd_post dnf-makecache.timer
:

%preun
%systemd_preun dnf-makecache.timer
:

%postun
%systemd_postun dnf-makecache.timer
:

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%dir %{_sysconfdir}/dnf
%{_sysconfdir}/dnf/aliases.d/zypper.conf
%config %{_sysconfdir}/dnf/automatic.conf
%config(noreplace) %{_sysconfdir}/dnf/dnf.conf
%dir %{_sysconfdir}/dnf/protected.d
%config %{_sysconfdir}/dnf/dnf-strict.conf
%{_sysconfdir}/logrotate.d/dnf
%{_bindir}/dnf
%{_bindir}/dnf-automatic
%{_bindir}/dnf-3
%{_bindir}/dnf-automatic-3
%dir %{python3_sitearch}/dnf
%{python3_sitearch}/dnf/*
%dir %{python3_sitelib}/dnf-%{version}.dist-info
%{python3_sitelib}/dnf-%{version}.dist-info/METADATA
%{_unitdir}/dnf-automatic-download.service
%{_unitdir}/dnf-automatic-download.timer
%{_unitdir}/dnf-automatic-install.service
%{_unitdir}/dnf-automatic-install.timer
%{_unitdir}/dnf-automatic-notifyonly.service
%{_unitdir}/dnf-automatic-notifyonly.timer
%{_unitdir}/dnf-automatic.service
%{_unitdir}/dnf-automatic.timer
%{_unitdir}/dnf-makecache.service
%{_unitdir}/dnf-makecache.timer
%{_tmpfilesdir}/dnf.conf
%{_datadir}/bash-completion/completions/dnf-3
%{_mandir}/man5/dnf4-transaction-json.5*
%{_mandir}/man5/dnf4.conf.5*
%{_mandir}/man7/dnf4.modularity.7*
%{_mandir}/man8/dnf4.8*
%{_mandir}/man8/dnf-automatic.8*
%{_mandir}/man8/yum2dnf.8*
%doc AUTHORS COPYING

%files -n yum
%defattr(-,root,root)
%exclude %{_sysconfdir}/dnf/protected.d/yum.conf
%{_bindir}/yum
%{_mandir}/man1/yum-aliases.1*
%{_mandir}/man5/yum.conf.5*
%{_mandir}/man8/yum-shell.8*
%{_mandir}/man8/yum.8*

%changelog
* Sun Dec 08 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 4.22.0-1mamba
- update to 4.22.0

* Sat Aug 03 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 4.21.0-1mamba
- update to 4.21.0

* Thu Apr 25 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 4.20.0-1mamba
- update to 4.20.0

* Mon Feb 12 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 4.18.2-1mamba
- update to 4.18.2

* Thu Jan 11 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 4.17.0-2mamba
- rebuilt with python3

* Sat Sep 02 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.17.0-1mamba
- update to 4.17.0

* Sun Apr 09 2023 Automatic Build System <autodist@mambasoft.it> 4.15.0-1mamba
- automatic version update by autodist

* Thu Mar 23 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.14.0-3mamba
- rebuilt with python 3.10

* Tue Jan 10 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.14.0-2mamba
- fix install-debuginfo by patching debuginfo suffix for openmamba

* Sat Sep 10 2022 Automatic Build System <autodist@mambasoft.it> 4.14.0-1mamba
- automatic version update by autodist

* Fri Jun 03 2022 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Thu Apr 28 2022 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Mon Mar 14 2022 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Wed Mar 09 2022 Automatic Build System <autodist@mambasoft.it> 4.11.0-1mamba
- automatic version update by autodist

* Sun Oct 24 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 4.10.0-2mamba
- require libdnf >= 0.65.0

* Thu Oct 21 2021 Automatic Build System <autodist@mambasoft.it> 4.10.0-1mamba
- automatic version update by autodist

* Fri Sep 17 2021 Automatic Build System <autodist@mambasoft.it> 4.9.0-1mamba
- automatic version update by autodist

* Mon Jun 14 2021 Automatic Build System <autodist@mambasoft.it> 4.8.0-1mamba
- automatic version update by autodist

* Wed Apr 21 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 4.7.0-2mamba
- fix for systemd 2:248 (flat libdir)

* Tue Apr 13 2021 Automatic Build System <autodist@mambasoft.it> 4.7.0-1mamba
- automatic version update by autodist

* Mon Mar 08 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 4.6.1-2mamba
- obsolete smart

* Wed Mar 03 2021 Automatic Build System <autodist@mambasoft.it> 4.6.1-1mamba
- automatic version update by autodist

* Fri Jan 29 2021 Automatic Build System <autodist@mambasoft.it> 4.6.0-1mamba
- automatic version update by autodist

* Thu Dec 03 2020 Automatic Build System <autodist@mambasoft.it> 4.5.2-1mamba
- automatic version update by autodist

* Thu Dec 03 2020 Automatic Build System <autodist@mambasoft.it> 4.5.1-1mamba
- automatic version update by autodist

* Mon Nov 09 2020 Automatic Build System <autodist@mambasoft.it> 4.4.2-1mamba
- automatic version update by autodist

* Thu Oct 08 2020 Automatic Build System <autodist@mambasoft.it> 4.4.0-1mamba
- automatic version update by autodist

* Sat Aug 15 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.23-3mamba
- fix requirements with python3 

* Fri Aug 14 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.23-2mamba
- rebuilt with python3

* Tue Jun 02 2020 Automatic Build System <autodist@mambasoft.it> 4.2.23-1mamba
- automatic version update by autodist

* Wed Apr 01 2020 Automatic Build System <autodist@mambasoft.it> 4.2.21-1mamba
- automatic version update by autodist

* Mon Feb 24 2020 Automatic Build System <autodist@mambasoft.it> 4.2.19-1mamba
- automatic version update by autodist

* Thu Jan 16 2020 Automatic Build System <autodist@mambasoft.it> 4.2.18-1mamba
- automatic version update by autodist

* Sat Nov 02 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.6-2mamba
- require python-rpm

* Fri Oct 25 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.6-1mamba
- update to 4.2.6

* Thu Aug 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.5-3mamba
- enable dnf-makecache.timer

* Thu Jul 04 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.5-2mamba
- i586: added a patch to set i586 as default name for x86 basearch

* Sat Jun 22 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.5-1mamba
- update to 4.2.5
- removed rpm5 patches
- rebuilt with libdnf 0.31.0 (rpm 4)

* Sun Jun 02 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.4-2mamba
- remove man pages conflicting with yum

* Sun Jun 02 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.4-1mamba
- update to 4.0.4

* Sun Jun 02 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.1-1mamba
- update to 3.0.1

* Sun Jun 02 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7.5-2mamba
- modified patch to detect release using openmamba-release pkg

* Sat Jun 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7.5-1mamba
- backport to 2.7.5 with working deps and patches for rpm5

* Sat May 25 2019 Automatic Build System <autodist@mambasoft.it> 4.2.6-1mamba
- automatic version update by autodist

* Fri Dec 28 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.10-2mamba
- added rpm5 patch

* Wed Dec 19 2018 Automatic Build System <autodist@mambasoft.it> 4.0.10-1mamba
- automatic version update by autodist

* Thu Nov 22 2018 Automatic Build System <autodist@mambasoft.it> 4.0.9-1mamba
- automatic version update by autodist

* Sun Nov 04 2018 Automatic Build System <autodist@mambasoft.it> 4.0.4-1mamba
- automatic version update by autodist

* Sat Sep 01 2018 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic version update by autodist

* Tue Aug 14 2018 Automatic Build System <autodist@mambasoft.it> 3.3.0-1mamba
- automatic version update by autodist

* Tue Aug 07 2018 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Fri Jul 27 2018 Automatic Build System <autodist@mambasoft.it> 3.1.0-1mamba
- automatic version update by autodist

* Mon Jul 23 2018 Automatic Build System <autodist@mambasoft.it> 3.0.4-1mamba
- automatic version update by autodist

* Thu Jul 12 2018 Automatic Build System <autodist@mambasoft.it> 3.0.3-1mamba
- automatic version update by autodist

* Sun Jul 08 2018 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic version update by autodist

* Wed May 16 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7.5-1mamba
- package created using the webbuild interface
